package inVivo;

import ij.*;
import ij.plugin.PlugIn;
import java.io.*;
import java.util.regex.* ;

public class StkImage_ implements PlugIn {
	private String[] fichierstk;
	InVivoInterface view;
    public void run(String str)
    {
		view = new InVivoInterface(this);
		view.setVisible(true);
	}
    public void rectification(String monfichier)
    {
    	Main communicationc=new Main();
    	communicationc.Tifftranslate(monfichier);
    	Pattern p=Pattern.compile("\\.");
    	String[] items = p.split(monfichier);
    	String result=null;
    	if (monfichier.indexOf(".stk")!=-1)
    		result=items[0]+".rect.stk";
    	else if (monfichier.indexOf(".STK")!=-1)
    		result=items[0]+".rect.STK";
    	else IJ.showMessage("problme d'ouverture de fichier de sortie");
    	IJ.open(result);
    }
    public void ouvertureDossier(File mondossier)
    {
    	String[] list=null;
    	int j=0;
		list = mondossier.list();
		fichierstk=new String[list.length];
		for(int i = 0; i < list.length; i++)
		{
			if ((list[i].endsWith(".stk"))||(list[i].endsWith(".STK")))
			{ 
				fichierstk[j]=mondossier.getAbsolutePath()+"\\"+list[i];
				j++;
			}
		}
		massLoad();
    }
    private void massLoad()
    {
    	Main communicationc=new Main();
    	for(int k = 0; k < fichierstk.length; k++)
    	{
    		if (fichierstk[k]!=null)
    			communicationc.Tifftranslate(fichierstk[k]);
    	}
    	IJ.showMessage("Traitements termins!");	
    }
	public void sortir() 
	{
		view.dispose();
	}
	
}
class Main
{
       static 
       {
    	   System.load("C:/Analyse.dll");
       }
       public static native int Tifftranslate(String j);
}