package utils;

import ij.gui.ImageCanvas;
import ij.gui.ImageWindow;

import java.awt.Point;

public class Zoom {
	
	/**
	 * 
	 */
	public static void zoomInTo(ImageWindow win, double zoom) {
		if (win==null) return;
		while(win.getCanvas().getMagnification()<zoom) {
			ImageCanvas ic = win.getCanvas();
			Point loc = ic.getCursorLoc();
			int x = ic.screenX(loc.x);
			int y = ic.screenY(loc.y);
			ic.zoomIn(x, y);
			}
	}
	
	/**
	 * 
	 */
	public static void zoomOutTo(ImageWindow win, double zoom) {
		if (win==null) return;
		while(win.getCanvas().getMagnification()>zoom) {
			ImageCanvas ic = win.getCanvas();
			Point loc = ic.getCursorLoc();
			int x = ic.screenX(loc.x);
			int y = ic.screenY(loc.y);
			ic.zoomOut(x, y);			
			}
	}
	
	public static void zoomTo(ImageWindow win, double zoom) {
		if (win.getCanvas().getMagnification()<zoom) Zoom.zoomInTo(win, zoom);
		if (win.getCanvas().getMagnification()>zoom) Zoom.zoomOutTo(win, zoom);
	}
}
